[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'EditBtn' (#lcl)

# TFileNameEdit.HideDirectories

Hide directory name from edit

## Declaration

Source position: editbtn.pas line 197

`published property TFileNameEdit.HideDirectories: Boolean read FHideDirectories write FHideDirectories;`

## Description

If HideDirectories is set to true, the file name editor displays only a file name, without path.

Remark: | This may be useful if application allows user to select files from a fixed directory with a long path.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.